Package org.apache.sysds.runtime.util

# Class LongLongDoubleHashMap.ADoubleEntry

java.lang.Object
org.apache.sysds.runtime.util.LongLongDoubleHashMap.ADoubleEntry

Enclosing class:
  LongLongDoubleHashMap

public abstract static class LongLongDoubleHashMap.ADoubleEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`LongLongDoubleHashMap.ADoubleEntry`
`next`
`double`
`value`

## Constructor Summary

Constructors
Constructor
Description
`ADoubleEntry(double val)`

## Method Summary

Modifier and Type
Method
Description
`abstract long`
`getKey1()`
`abstract long`
`getKey2()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

public double value

### next

public LongLongDoubleHashMap.ADoubleEntry next

## Constructor Details

### ADoubleEntry

public ADoubleEntry(double val)

## Method Details

### getKey1

public abstract long getKey1()

### getKey2

public abstract long getKey2()